
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/
#ident "$Header: anal.h 1.1 90/01/19 $@(#)anal.h	1.1 89/12/01"
typedef struct {
  long t_off;
  int t_len;
  int t_val;
  char *t_name;
  TYPEP t_type;
} TOKEN;

TOKEN decl_fname();
TOKEN decl_name();
TOKEN decl_fake();
TOKEN def_attr();
TOKEN decl_ptr();
TOKEN decl_fct();
TOKEN decl_usize();
TOKEN decl_size();
TOKEN delist_decl();
TOKEN delist_append();
bool is_char();
TOKEN attr_ct();
TOKEN attr_tct();
TOKEN attr_c();
TOKEN attr_t();
TOKEN enum_type();
TOKEN struct_head();
TOKEN struct_def();
TOKEN struct_decl();
TOKEN tdl_create();
TOKEN tdl_append();
TYPEP ident_nf();
void ident_f();
void func_def();
void use_func();
void use_name();
void typedef_add();
TOKEN type_name();
TYPEP last_de();
